com.unitech.stuhfl

## Class STUHFL

- java.lang.Object
- - com.unitech.stuhflBridge.LibBridge
  - - com.unitech.stuhflBridge.BR_STUHFL
    - - com.unitech.stuhfl.STUHFL

-     public class STUHFL
      extends BR_STUHFL

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `connect(ISerialStream serialStream)` Connect to ST25RU3993 based evaluation board.
    `boolean` | `connect(java.lang.String comPort)` Connect to ST25RU3993 based evaluation board.
    `boolean` | `disconnect()` Disconnect from a current connected board
    `void` | `enterBootloader()` Shutdown FW and enter STM32 ROM bootloader of EVAL board.
    `static STUHFL` | `getInstance()`
    `void` | `reboot()` Reboot FW NOTE: This function will never return, as the reboot is triggered immediately

    - ### Methods inherited from class com.unitech.stuhflBridge.BR_STUHFL

      `_Connect, _ConnectEx, _Disconnect, _EnterBootloader, _Reboot`

    - ### Methods inherited from class com.unitech.stuhflBridge.LibBridge

      `isConnected, setConnected`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static STUHFL getInstance()

    - #### connect

          public boolean connect(java.lang.String comPort)

      Connect to ST25RU3993 based evaluation board.
      Parameters:
        `comPort:` - The port name were the ST25RU3993 board is connected. The string must be null terminated.
      Returns:
        boolean: success

    - #### connect

          public boolean connect(ISerialStream serialStream)

      Connect to ST25RU3993 based evaluation board.
      Parameters:
        `serialStream:` - The interface of SerialStream for serial read/write.
      Returns:
        boolean: success

    - #### disconnect

          public boolean disconnect()

      Disconnect from a current connected board
      Returns:
        boolean: success

    - #### reboot

          public void reboot()

      Reboot FW NOTE: This function will never return, as the reboot is triggered immediately

    - #### enterBootloader

          public void enterBootloader()

      Shutdown FW and enter STM32 ROM bootloader of EVAL board.